## NAME

g.mapset - Changes/reports current mapset.
Optionally create new mapset or list available mapsets in given location.

## KEYWORDS

general, settings

## SYNOPSIS

g.mapset
g.mapset --help
g.mapset [-clp] mapset=name [location=name] [dbase=path] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Create mapset if it doesn't exist
-l
  List available mapsets and exit
-p
  Print current mapset and exit
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

mapset=name [required]
  Name of mapset (default: current search path)
  Name of mapset where to switch
location=name
  Location name
  Location name (not location path)
dbase=path
  GRASS GIS database directory
  Default: path to the current GRASS GIS database

## DESCRIPTION

g.mapset changes the current working MAPSET, LOCATION, or GISDBASE. This is a fairly radical maneuver to run mid-session, take care when running the GUI at the same time.

## NOTES

The shell continues to use the history for the old mapset. To change this you can switch the history to the new settings by commands. For Bash:

    history -w
    history -r /"$GISDBASE/$LOCATION/$MAPSET"/.bash_history
    HISTFILE=/"$GISDBASE/$LOCATION/$MAPSET"/.bash_history

## SEE ALSO

g.gisenv, g.mapsets

## AUTHOR

Radim Blazek

Last changed: $Date: 2014-09-26 21:19:49 +0200 (pá, 26 9 2014) $

Main index | General index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual